import csv
import requests
import xml.etree.ElementTree as ET

def extract_product_data(xml_content, csv_file):
    root = ET.fromstring(xml_content)

    with open(csv_file, 'w', newline='') as file:
        writer = csv.writer(file)
        writer.writerow(['sku', 'price', 'qty'])

        for o in root.iter('o'):
            attrs = o.find('attrs')
            kod_producenta = attrs.find("./a[@name='Kod_producenta']")
            price = o.get('price')
            stock = o.get('stock')

            if kod_producenta is not None:
                kod_producenta_value = kod_producenta.text.strip()
                writer.writerow([kod_producenta_value, price, stock])

    print(f"Data extracted and saved to '{csv_file}'.")

# Specify the URL to download the XML file and the desired path for the CSV file.
xml_url = 'https://sklep820796.shoparena.pl/console/integration/execute/name/CeneoV2'
csv_file_path = 'altermotion.csv'

response = requests.get(xml_url)
xml_content = response.content.decode('utf-8')

extract_product_data(xml_content, csv_file_path)
